import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsOrganizationsDelegatedServicesConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsOrganizationsDelegatedServicesDelegatedServices extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get delegationEnabledDate(): string;
    /**
     * @stability stable
     */
    get servicePrincipal(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsOrganizationsDelegatedServices extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsOrganizationsDelegatedServicesConfig);
    private _accountId;
    /**
     * @stability stable
     */
    get accountId(): string;
    /**
     * @stability stable
     */
    set accountId(value: string);
    /**
     * @stability stable
     */
    get accountIdInput(): string;
    /**
     * @stability stable
     */
    delegatedServices(index: string): DataAwsOrganizationsDelegatedServicesDelegatedServices;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
